io.vertx.rxjava.grpc.server

## Class GrpcServerRequest<Req,Resp>

- java.lang.Object
- - io.vertx.rxjava.grpc.common.GrpcReadStream<Req>
  - - io.vertx.rxjava.grpc.server.GrpcServerRequest<Req,Resp>

- All Implemented Interfaces:
    ReadStream<Req>, StreamBase

      public class GrpcServerRequest<Req,Resp>
      extends GrpcReadStream<Req>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<GrpcServerRequest>` | `__TYPE_ARG`
    `io.vertx.lang.rx.TypeArg<Req>` | `__typeArg_0`
    `io.vertx.lang.rx.TypeArg<Resp>` | `__typeArg_1`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GrpcServerRequest(GrpcServerRequest delegate)`
    `GrpcServerRequest(Object delegate, io.vertx.lang.rx.TypeArg<Req> typeArg_0, io.vertx.lang.rx.TypeArg<Resp> typeArg_1)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<R,A> Future<R>` | `collecting(java.util.stream.Collector<Req,A,R> collector)`
    `HttpConnection` | `connection()`
    `GrpcServerRequest<Req,Resp>` | `endHandler(Handler<Void> endHandler)` Set an end handler.
    `boolean` | `equals(Object o)`
    `GrpcServerRequest<Req,Resp>` | `errorHandler(Handler<GrpcError> handler)` Set a handler to be notified with gRPC errors.
    `GrpcServerRequest<Req,Resp>` | `exceptionHandler(Handler<Throwable> handler)` Set an exception handler on the read stream.
    `GrpcServerRequest<Req,Resp>` | `fetch(long amount)` Fetch the specified `amount` of elements.
    `String` | `fullMethodName()`
    `GrpcServerRequest` | `getDelegate()`
    `GrpcServerRequest<Req,Resp>` | `handler(Handler<Req> handler)` Set a data handler.
    `int` | `hashCode()`
    `Future<Req>` | `last()`
    `GrpcServerRequest<Req,Resp>` | `messageHandler(Handler<GrpcMessage> handler)` Set a handler to be notified with incoming encoded messages.
    `String` | `methodName()`
    `static <Req,Resp> GrpcServerRequest<Req,Resp>` | `newInstance(GrpcServerRequest arg)`
    `static <Req,Resp> GrpcServerRequest<Req,Resp>` | `newInstance(GrpcServerRequest arg, io.vertx.lang.rx.TypeArg<Req> __typeArg_Req, io.vertx.lang.rx.TypeArg<Resp> __typeArg_Resp)`
    `GrpcServerRequest<Req,Resp>` | `pause()` Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.
    `Pipe<Req>` | `pipe()` Pause this stream and return a to transfer the elements of this stream to a destination .
    `void` | `pipeTo(WriteStream<Req> dst)` Pipe this `ReadStream` to the `WriteStream`.
    `void` | `pipeTo(WriteStream<Req> dst, Handler<AsyncResult<Void>> handler)` Pipe this `ReadStream` to the `WriteStream`.
    `GrpcServerResponse<Req,Resp>` | `response()`
    `GrpcServerRequest<Req,Resp>` | `resume()` Resume reading, and sets the buffer in `flowing` mode.
    `<R,A> Single<R>` | `rxCollecting(java.util.stream.Collector<Req,A,R> collector)`
    `Single<Req>` | `rxLast()`
    `Single<Void>` | `rxPipeTo(WriteStream<Req> dst)` Pipe this `ReadStream` to the `WriteStream`.
    `ServiceName` | `serviceName()`
    `Observable<Req>` | `toObservable()`
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.grpc.common.GrpcReadStream

      `encoding, end, headers, newInstance, newInstance, rxEnd`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.ReadStream

      `newInstance, newInstance`

    - ### Methods inherited from interface io.vertx.rxjava.core.streams.StreamBase

      `newInstance`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<GrpcServerRequest> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<Req> __typeArg_0

    - #### __typeArg_1

          public final io.vertx.lang.rx.TypeArg<Resp> __typeArg_1

  - ### Constructor Detail

    - #### GrpcServerRequest

          public GrpcServerRequest(GrpcServerRequest delegate)

    - #### GrpcServerRequest

          public GrpcServerRequest(Object delegate,
                                   io.vertx.lang.rx.TypeArg<Req> typeArg_0,
                                   io.vertx.lang.rx.TypeArg<Resp> typeArg_1)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `GrpcReadStream<Req>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `GrpcReadStream<Req>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `GrpcReadStream<Req>`

    - #### getDelegate

          public GrpcServerRequest getDelegate()

      Specified by:
        `getDelegate` in interface `ReadStream<Req>`
      Specified by:
        `getDelegate` in interface `StreamBase`
      Overrides:
        `getDelegate` in class `GrpcReadStream<Req>`

    - #### toObservable

          public Observable<Req> toObservable()

      Specified by:
        `toObservable` in interface `ReadStream<Req>`
      Overrides:
        `toObservable` in class `GrpcReadStream<Req>`

    - #### pipe

          public Pipe<Req> pipe()

      Pause this stream and return a to transfer the elements of this stream to a destination .

      The stream will be resumed when the pipe will be wired to a `WriteStream`.
      Specified by:
        `pipe` in interface `ReadStream<Req>`
      Overrides:
        `pipe` in class `GrpcReadStream<Req>`
      Returns:
        a pipe

    - #### pipeTo

          public void pipeTo(WriteStream<Req> dst,
                             Handler<AsyncResult<Void>> handler)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<Req>`
      Overrides:
        `pipeTo` in class `GrpcReadStream<Req>`
      Parameters:
        `dst` - the destination write stream
        `handler` -

    - #### pipeTo

          public void pipeTo(WriteStream<Req> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `pipeTo` in interface `ReadStream<Req>`
      Overrides:
        `pipeTo` in class `GrpcReadStream<Req>`
      Parameters:
        `dst` - the destination write stream

    - #### rxPipeTo

          public Single<Void> rxPipeTo(WriteStream<Req> dst)

      Pipe this `ReadStream` to the `WriteStream`.

      Elements emitted by this stream will be written to the write stream until this stream ends or fails.

      Once this stream has ended or failed, the write stream will be ended and the `handler` will be called with the result.

      Specified by:
        `rxPipeTo` in interface `ReadStream<Req>`
      Overrides:
        `rxPipeTo` in class `GrpcReadStream<Req>`
      Parameters:
        `dst` - the destination write stream
      Returns:

    - #### last

          public Future<Req> last()

      Overrides:
        `last` in class `GrpcReadStream<Req>`
      Returns:
        the last element of the stream

    - #### rxLast

          public Single<Req> rxLast()

      Overrides:
        `rxLast` in class `GrpcReadStream<Req>`
      Returns:
        the last element of the stream

    - #### serviceName

          public ServiceName serviceName()

      Returns:
        the service name

    - #### methodName

          public String methodName()

      Returns:
        the method name

    - #### fullMethodName

          public String fullMethodName()

      Returns:
        the full method name sent by the client

    - #### response

          public GrpcServerResponse<Req,Resp> response()

      Returns:
        the response

    - #### messageHandler

          public GrpcServerRequest<Req,Resp> messageHandler(Handler<GrpcMessage> handler)

      Description copied from class: `GrpcReadStream`
      Set a handler to be notified with incoming encoded messages. The `handler` is responsible for fully decoding incoming messages, including compression.
      Overrides:
        `messageHandler` in class `GrpcReadStream<Req>`
      Parameters:
        `handler` - the message handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### errorHandler

          public GrpcServerRequest<Req,Resp> errorHandler(Handler<GrpcError> handler)

      Description copied from class: `GrpcReadStream`
      Set a handler to be notified with gRPC errors.
      Overrides:
        `errorHandler` in class `GrpcReadStream<Req>`
      Parameters:
        `handler` - the error handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### exceptionHandler

          public GrpcServerRequest<Req,Resp> exceptionHandler(Handler<Throwable> handler)

      Description copied from interface: `ReadStream`
      Set an exception handler on the read stream.
      Specified by:
        `exceptionHandler` in interface `ReadStream<Req>`
      Specified by:
        `exceptionHandler` in interface `StreamBase`
      Overrides:
        `exceptionHandler` in class `GrpcReadStream<Req>`
      Parameters:
        `handler` - the exception handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### handler

          public GrpcServerRequest<Req,Resp> handler(Handler<Req> handler)

      Description copied from interface: `ReadStream`
      Set a data handler. As data is read, the handler will be called with the data.
      Specified by:
        `handler` in interface `ReadStream<Req>`
      Overrides:
        `handler` in class `GrpcReadStream<Req>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### pause

          public GrpcServerRequest<Req,Resp> pause()

      Description copied from interface: `ReadStream`
      Pause the `ReadStream`, it sets the buffer in `fetch` mode and clears the actual demand.

      While it's paused, no data will be sent to the data `handler`.

      Specified by:
        `pause` in interface `ReadStream<Req>`
      Overrides:
        `pause` in class `GrpcReadStream<Req>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### resume

          public GrpcServerRequest<Req,Resp> resume()

      Description copied from interface: `ReadStream`
      Resume reading, and sets the buffer in `flowing` mode.

      If the `ReadStream` has been paused, reading will recommence on it.
      Specified by:
        `resume` in interface `ReadStream<Req>`
      Overrides:
        `resume` in class `GrpcReadStream<Req>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### fetch

          public GrpcServerRequest<Req,Resp> fetch(long amount)

      Description copied from interface: `ReadStream`
      Fetch the specified `amount` of elements. If the `ReadStream` has been paused, reading will recommence with the specified `amount` of items, otherwise the specified `amount` will be added to the current stream demand.
      Specified by:
        `fetch` in interface `ReadStream<Req>`
      Overrides:
        `fetch` in class `GrpcReadStream<Req>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### endHandler

          public GrpcServerRequest<Req,Resp> endHandler(Handler<Void> endHandler)

      Description copied from interface: `ReadStream`
      Set an end handler. Once the stream has ended, and there is no more data to be read, this handler will be called.
      Specified by:
        `endHandler` in interface `ReadStream<Req>`
      Overrides:
        `endHandler` in class `GrpcReadStream<Req>`
      Returns:
        a reference to this, so the API can be used fluently

    - #### connection

          public HttpConnection connection()

      Returns:
        the underlying HTTP connection

    - #### collecting

          public <R,A> Future<R> collecting(java.util.stream.Collector<Req,A,R> collector)

      Overrides:
        `collecting` in class `GrpcReadStream<Req>`
      Parameters:
        `collector` -
      Returns:
        the result of applying a collector on the stream

    - #### rxCollecting

          public <R,A> Single<R> rxCollecting(java.util.stream.Collector<Req,A,R> collector)

      Overrides:
        `rxCollecting` in class `GrpcReadStream<Req>`
      Parameters:
        `collector` -
      Returns:
        the result of applying a collector on the stream

    - #### newInstance

          public static <Req,Resp> GrpcServerRequest<Req,Resp> newInstance(GrpcServerRequest arg)

    - #### newInstance

          public static <Req,Resp> GrpcServerRequest<Req,Resp> newInstance(GrpcServerRequest arg,
                                                                           io.vertx.lang.rx.TypeArg<Req> __typeArg_Req,
                                                                           io.vertx.lang.rx.TypeArg<Resp> __typeArg_Resp)

Copyright © 2024 Eclipse. All rights reserved.